%define Werror_cflags %nil

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Disk management daemon
Name:		gnome-disk-utility
Version:	3.4.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Configuration/Other
URL:		http://git.gnome.org/cgit/gnome-disk-utility
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.0
BuildRequires:	pkgconfig(udisks2) >= 1.90
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	gtk-doc
Requires:	polkit-agent
Requires:	udisks2 >= 1.90
Obsoletes:	palimpsest < 3.0.0

%description
This package contains the Palimpsest disk management application.
Palimpsest supports partitioning, file system creation, encryption,
RAID, SMART monitoring, etc.

%prep
%setup -q

%build
%configure2_5x \
        --disable-static
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS NEWS 
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/palimpsest.desktop
%{_datadir}/icons/hicolor/*/apps/palimpsest.*


%changelog

* Sat Apr 21 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 232399
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226676
- new version 3.4.0

* Mon Mar 05 2012 wally <wally> 3.3.93-1.mga2
+ Revision: 219217
- new version 3.3.93

* Thu Feb 23 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 213560
- new version

* Mon Feb 06 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 205522
- new version 3.3.91
- clean .spec a bit

* Sun Jan 22 2012 fwang <fwang> 3.3.90-3.mga2
+ Revision: 199526
- fix typo

* Sun Jan 22 2012 fwang <fwang> 3.3.90-2.mga2
+ Revision: 199517
- fix unexpanded macro
- drop old patch
- cleanup old staff
- update file list
- disable format error for now
- new version 3.3.90

* Sun Jul 10 2011 fwang <fwang> 3.0.2-1.mga2
+ Revision: 121607
- new version 3.0.2

* Fri Jun 10 2011 dmorgan <dmorgan> 3.0.0-1.mga2
+ Revision: 103295
- Fix buildrequires
- Add libunique3-devel as buildrequires
- Add gnome-common as buildrequires ( spturtle )
- Use %%configure2_5x
- New version 3.0.0

  + pterjan <pterjan>
    - Revert to 2.32.0, 2.32.1 needs new libnotify
    - Update to 2.32.1

* Sat Jan 15 2011 blino <blino> 2.32.0-1.mga1
+ Revision: 19022
- imported package gnome-disk-utility


* Wed Sep 15 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 578707
- new version
- update file list

* Mon May 03 2010 Pascal Terjan <pterjan@mandriva.org> 2.30.1-2mdv2010.1
+ Revision: 541729
- Fix a crash of gvfs-gdu-volume-monitor on non UTF-8 systems

* Tue Mar 30 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-1mdv2010.1
+ Revision: 529675
- Release 2.30.1

* Thu Mar 25 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-2mdv2010.1
+ Revision: 527460
- add conflict for upgrade from 2010.0

* Tue Mar 16 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.0-1mdv2010.1
+ Revision: 521781
- Release 2.30.0

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-3mdv2010.1
+ Revision: 517989
- fix package structure:
 * move palimpsest to its own package
 * remove data package
 * library package now depends on main package
- fix description
- fix help and omf file packaging
- enable parallel make

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-2mdv2010.1
+ Revision: 517974
- fix devel provides

* Mon Mar 01 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 513262
- new version
- update build deps for udisks

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.1
+ Revision: 460933
- update to new version 2.28.1

* Sat Sep 19 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 444639
- update build deps
- new version
- bump devicekit-disks dep

* Tue Aug 18 2009 Frederic Crozat <fcrozat@mandriva.com> 0.5-1mdv2010.0
+ Revision: 417613
- Release 0.5
- Requires polkit-agent for authentication

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2010.0
+ Revision: 395926
- import gnome-disk-utility


* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2010.0
- port to Mandriva

* Fri Jun 19 2009 David Zeuthen <davidz@redhat.com> - 0.4-1%%{?dist}
- Update to release 0.4

* Fri May 01 2009 David Zeuthen <davidz@redhat.com> - 0.3-1%%{?dist}
- Upstream release 0.3

* Wed Apr 15 2009 David Zeuthen <davidz@redhat.com> - 0.3-0.5.20090415git%%{?dist}
- New snapshot

* Sun Apr 12 2009 David Zeuthen <davidz@redhat.com> - 0.3-0.4.20090412git%%{?dist}
- New snapshot

* Fri Apr 10 2009 Matthias Clasen <mclasen@redhat.com> - 0.3-0.3.20090406git%%{?dist}
- Don't own directories that belong to hicolor-icon-theme

* Wed Apr 08 2009 David Zeuthen <davidz@redhat.com> - 0.3-0.2.20090406git%%{?dist}
- Fix bug in detecting when a PolicyKit error is returned (#494787)

* Mon Apr 06 2009 David Zeuthen <davidz@redhat.com> - 0.3-0.1.20090406git%%{?dist}
- New snapshot

* Wed Mar 04 2009 David Zeuthen <davidz@redhat.com> - 0.2-2%%{?dist}
- Don't crash when changing the LUKS passphrase on a device

* Mon Mar 02 2009 David Zeuthen <davidz@redhat.com> - 0.2-1%%{?dist}
- Update to version 0.2

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.git20080720.2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 27 2009 Matthias Clasen <mclasen@redhat.com> 0.1-0.git20080720.2%%{?dist}
- Rebuild for pkgconfig provides

* Sun Nov 23 2008 Matthias Clasen <mclasen@redhat.com> 0.1-0.git20080720.1%%{?dist}
- Improve %%summary and %%description

* Fri Jul 20 2008 David Zeuthen <davidz@redhat.com> - 0.1-0.git20080720%%{?dist}
- Initial Packaging
